# CreateNoticeResponsibilityType

Creates a new tax notice responsibility type.

`POST /api/v2/notices/responsibilities`

**API:** AvaTax API
**Tag:** Notices
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Notices/CreateNoticeResponsibilityType/

## Description

This API is available by invitation only and only available for users with Compliance admin access.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPTester, FirmAdmin, FirmUser, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SSTAdmin, TechnicalSupportAdmin, TechnicalSupportUser, TreasuryAdmin, TreasuryUser.
* This API depends on the following active services:*Returns* (at least one of):  Mrs, MRSComplianceManager, AvaTaxCsp.*Firm Managed* (for accounts managed by a firm):  ARA, ARAManaged.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `CreateNoticeResponsibilityTypeModel`

Model to create a new tax notice responsibility type.

| Property | Type | Required | Description |
|---|---|---|---|
| `description` | string | No | The description name of this notice responsibility Example: `Customer-Invalid login (Return filed manual)`. |
| `isActive` | boolean | No | Defines if the responsibility is active Example: `true`. |
| `sortOrder` | integer | No | The sort order of this responsibility Example: `175`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `NoticeResponsibilityModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `NoticeResponsibilityModel`

NoticeResponsibility Model

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique ID number of this notice responsibility. Example: `11`. |
| `description` | string | No | The description name of this notice responsibility Example: `Customer-Invalid login (Return filed manual)`. |
| `isActive` | boolean | No | Defines if the responsibility is active Example: `true`. |
| `sortOrder` | integer | No | The sort order of this responsibility Example: `55`. |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/notices/responsibilities" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "description": "Customer-Invalid login (Return filed manual)",
  "isActive": true,
  "sortOrder": 175
}'
```